Page MenuHomePhabricator

Can't scroll to top in editing window
Closed, ResolvedPublic

Description

  1. https://en.m.wikipedia.org/w/index.php?title=Wikipedia:Wikipedia_Signpost/2014-07-23/News_and_notes#editor/0 (URL taken from mobile-l)
  2. Press page down a couple times, then page up a couple times (or ctrl-home)

I. Expected: I see the first line.
II. Observed: the first line of the text is covered by the "Editing Wikipedia:Wikipedia Signpost/2014-07-23/News and notes" banner and the scrollbar doesn't reach the top.

  1. Scroll manually with the scrollbar to the top, confirming it's possible.

Version: unspecified
Severity: normal
OS: Linux
Platform: PC
URL: https://en.m.wikipedia.org/w/index.php?title=Wikipedia:Wikipedia_Signpost/2014-07-23/News_and_notes#editor/0

Details

Reference
bz69092

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:33 AM
bzimport set Reference to bz69092.
bzimport added a subscriber: Unknown Object (MLST).
Nemo_bis created this task.Aug 4 2014, 6:16 AM

bingle-admin wrote:

Prioritization and scheduling of this bug is tracked on Trello card https://trello.com/c/0dLLvi64

Hmm, works for me in Firefox on Mac. Are you still seeing this?

Nemo, what device are you seeing this on? Sounds device specific...

(In reply to Ryan Kaldari from comment #2)

Hmm, works for me in Firefox on Mac. Are you still seeing this?

Thanks for looking. I do, but comment 0 is (now?) incorrect. Point 1 should be:

  1. Visit https://en.m.wikipedia.org/wiki/Wikipedia:Wikipedia_Signpost/2014-07-23/News_and_notes , click the pencil icon, click somewhere in the text area (to focus it/have the cursor in it)

Yeh I can replicate this.. by using down and up cursors. Most strange..

Thanks for the report Nemo!

Change 165896 had a related patch set uploaded by Bmansurov:
Scroll to top of the editor with keyboard keys

https://gerrit.wikimedia.org/r/165896

Change 165896 abandoned by Bmansurov:
Scroll to top of the editor with keyboard keys

Reason:
I've tested it again and it looks like this has been fixed because of other changes.

https://gerrit.wikimedia.org/r/165896

Looks like it has been fixed by other changes.

It's not fixed Baha. I can still replicate it on latest master. Are you sure you understand the bug correctly?

Also WONTFIX is only reserved for bugs we know are broken and will not fix.

Change 168499 had a related patch set uploaded by Jdlrobson:
Don't let textarea grow bigger than the current window

https://gerrit.wikimedia.org/r/168499

Change 168499 merged by jenkins-bot:
Don't let textarea grow bigger than the current window

https://gerrit.wikimedia.org/r/168499

Jdlrobson reopened this task as Open.Nov 24 2014, 7:09 AM
Jdlrobson set Security to None.
Jdlrobson added a subscriber: Jdlrobson.

Fix introduced over issues. Reverted fix thus bug therefore reopened.

Change 175552 had a related patch set uploaded (by Kaldari):
Reverting change I10c2cbfdfa5c6d74b98d7c45e1c060911a7f20b4

https://gerrit.wikimedia.org/r/175552

Patch-For-Review

Change 175554 had a related patch set uploaded (by Kaldari):
Reverting change I10c2cbfdfa5c6d74b98d7c45e1c060911a7f20b4

https://gerrit.wikimedia.org/r/175554

Patch-For-Review

Change 175552 merged by jenkins-bot:
Reverting change I10c2cbfdfa5c6d74b98d7c45e1c060911a7f20b4

https://gerrit.wikimedia.org/r/175552

Change 175554 merged by jenkins-bot:
Reverting change I10c2cbfdfa5c6d74b98d7c45e1c060911a7f20b4

https://gerrit.wikimedia.org/r/175554

Is this still an issue?

Jdlrobson closed this task as Resolved.Dec 31 2014, 9:54 PM
Jdlrobson claimed this task.

Assuming this is fixed as I cannot replicate it. Please reopen if not.